You can subscribe to this list here.
| 2002 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
(1) |
Oct
(122) |
Nov
(152) |
Dec
(69) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2003 |
Jan
(6) |
Feb
(25) |
Mar
(73) |
Apr
(82) |
May
(24) |
Jun
(25) |
Jul
(10) |
Aug
(11) |
Sep
(10) |
Oct
(54) |
Nov
(203) |
Dec
(182) |
| 2004 |
Jan
(307) |
Feb
(305) |
Mar
(430) |
Apr
(312) |
May
(187) |
Jun
(342) |
Jul
(487) |
Aug
(637) |
Sep
(336) |
Oct
(373) |
Nov
(441) |
Dec
(210) |
| 2005 |
Jan
(385) |
Feb
(480) |
Mar
(636) |
Apr
(544) |
May
(679) |
Jun
(625) |
Jul
(810) |
Aug
(838) |
Sep
(634) |
Oct
(521) |
Nov
(965) |
Dec
(543) |
| 2006 |
Jan
(494) |
Feb
(431) |
Mar
(546) |
Apr
(411) |
May
(406) |
Jun
(322) |
Jul
(256) |
Aug
(401) |
Sep
(345) |
Oct
(542) |
Nov
(308) |
Dec
(481) |
| 2007 |
Jan
(427) |
Feb
(326) |
Mar
(367) |
Apr
(255) |
May
(244) |
Jun
(204) |
Jul
(223) |
Aug
(231) |
Sep
(354) |
Oct
(374) |
Nov
(497) |
Dec
(362) |
| 2008 |
Jan
(322) |
Feb
(482) |
Mar
(658) |
Apr
(422) |
May
(476) |
Jun
(396) |
Jul
(455) |
Aug
(267) |
Sep
(280) |
Oct
(253) |
Nov
(232) |
Dec
(304) |
| 2009 |
Jan
(486) |
Feb
(470) |
Mar
(458) |
Apr
(423) |
May
(696) |
Jun
(461) |
Jul
(551) |
Aug
(575) |
Sep
(134) |
Oct
(110) |
Nov
(157) |
Dec
(102) |
| 2010 |
Jan
(226) |
Feb
(86) |
Mar
(147) |
Apr
(117) |
May
(107) |
Jun
(203) |
Jul
(193) |
Aug
(238) |
Sep
(300) |
Oct
(246) |
Nov
(23) |
Dec
(75) |
| 2011 |
Jan
(133) |
Feb
(195) |
Mar
(315) |
Apr
(200) |
May
(267) |
Jun
(293) |
Jul
(353) |
Aug
(237) |
Sep
(278) |
Oct
(611) |
Nov
(274) |
Dec
(260) |
| 2012 |
Jan
(303) |
Feb
(391) |
Mar
(417) |
Apr
(441) |
May
(488) |
Jun
(655) |
Jul
(590) |
Aug
(610) |
Sep
(526) |
Oct
(478) |
Nov
(359) |
Dec
(372) |
| 2013 |
Jan
(467) |
Feb
(226) |
Mar
(391) |
Apr
(281) |
May
(299) |
Jun
(252) |
Jul
(311) |
Aug
(352) |
Sep
(481) |
Oct
(571) |
Nov
(222) |
Dec
(231) |
| 2014 |
Jan
(185) |
Feb
(329) |
Mar
(245) |
Apr
(238) |
May
(281) |
Jun
(399) |
Jul
(382) |
Aug
(500) |
Sep
(579) |
Oct
(435) |
Nov
(487) |
Dec
(256) |
| 2015 |
Jan
(338) |
Feb
(357) |
Mar
(330) |
Apr
(294) |
May
(191) |
Jun
(108) |
Jul
(142) |
Aug
(261) |
Sep
(190) |
Oct
(54) |
Nov
(83) |
Dec
(22) |
| 2016 |
Jan
(49) |
Feb
(89) |
Mar
(33) |
Apr
(50) |
May
(27) |
Jun
(34) |
Jul
(53) |
Aug
(53) |
Sep
(98) |
Oct
(206) |
Nov
(93) |
Dec
(53) |
| 2017 |
Jan
(65) |
Feb
(82) |
Mar
(102) |
Apr
(86) |
May
(187) |
Jun
(67) |
Jul
(23) |
Aug
(93) |
Sep
(65) |
Oct
(45) |
Nov
(35) |
Dec
(17) |
| 2018 |
Jan
(26) |
Feb
(35) |
Mar
(38) |
Apr
(32) |
May
(8) |
Jun
(43) |
Jul
(27) |
Aug
(30) |
Sep
(43) |
Oct
(42) |
Nov
(38) |
Dec
(67) |
| 2019 |
Jan
(32) |
Feb
(37) |
Mar
(53) |
Apr
(64) |
May
(49) |
Jun
(18) |
Jul
(14) |
Aug
(53) |
Sep
(25) |
Oct
(30) |
Nov
(49) |
Dec
(31) |
| 2020 |
Jan
(87) |
Feb
(45) |
Mar
(37) |
Apr
(51) |
May
(99) |
Jun
(36) |
Jul
(11) |
Aug
(14) |
Sep
(20) |
Oct
(24) |
Nov
(40) |
Dec
(23) |
| 2021 |
Jan
(14) |
Feb
(53) |
Mar
(85) |
Apr
(15) |
May
(19) |
Jun
(3) |
Jul
(14) |
Aug
(1) |
Sep
(57) |
Oct
(73) |
Nov
(56) |
Dec
(22) |
| 2022 |
Jan
(3) |
Feb
(22) |
Mar
(6) |
Apr
(55) |
May
(46) |
Jun
(39) |
Jul
(15) |
Aug
(9) |
Sep
(11) |
Oct
(34) |
Nov
(20) |
Dec
(36) |
| 2023 |
Jan
(79) |
Feb
(41) |
Mar
(99) |
Apr
(169) |
May
(48) |
Jun
(16) |
Jul
(16) |
Aug
(57) |
Sep
(19) |
Oct
|
Nov
|
Dec
|
| S | M | T | W | T | F | S |
|---|---|---|---|---|---|---|
|
|
|
|
|
|
|
1
(21) |
|
2
(19) |
3
(33) |
4
(24) |
5
(18) |
6
(13) |
7
(22) |
8
(21) |
|
9
(38) |
10
(25) |
11
(20) |
12
(27) |
13
(43) |
14
(9) |
15
(19) |
|
16
(37) |
17
(19) |
18
(13) |
19
(11) |
20
(8) |
21
(11) |
22
(25) |
|
23
(21) |
24
(30) |
25
(18) |
26
(11) |
27
(10) |
28
(14) |
29
(40) |
|
30
(24) |
31
(14) |
|
|
|
|
|
|
From: <sv...@va...> - 2008-03-19 17:11:56
|
Author: bart
Date: 2008-03-19 17:12:01 +0000 (Wed, 19 Mar 2008)
New Revision: 7740
Log:
Should have been in last commit.
Added:
trunk/exp-drd/tests/supported_libpthread
Modified:
trunk/exp-drd/tests/Makefile.am
Modified: trunk/exp-drd/tests/Makefile.am
===================================================================
--- trunk/exp-drd/tests/Makefile.am 2008-03-19 17:03:14 UTC (rev 7739)
+++ trunk/exp-drd/tests/Makefile.am 2008-03-19 17:12:01 UTC (rev 7740)
@@ -137,7 +137,7 @@
tc23_bogus_condwait.vgtest \
tc24_nonzero_sem.stderr.exp \
tc24_nonzero_sem.vgtest \
- trylock.c trylock.stderr.exp \
+ trylock.c trylock.stderr.exp
AM_CFLAGS = $(WERROR) -Winline -Wall -Wshadow -g $(AM_FLAG_M3264_PRI)
AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_builddir)/include
Added: trunk/exp-drd/tests/supported_libpthread
===================================================================
--- trunk/exp-drd/tests/supported_libpthread (rev 0)
+++ trunk/exp-drd/tests/supported_libpthread 2008-03-19 17:12:01 UTC (rev 7740)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Exit with status 0 if a supported version of libpthread is found (NPTL or
+# non-Linux libpthread) and exit with status 1 if a non-supported version of
+# libpthread is found (LinuxThreads).
+
+if [ "$(uname)" = "Linux" ]; then
+ libpthread_version="$(/usr/bin/getconf GNU_LIBPTHREAD_VERSION 2>/dev/null)"
+ if [ "${libpthread_version#NPTL}" != "${libpthread_version}" ]; then
+ # NPTL
+ exit 0
+ fi
+ # configuration string is empty or does start with "linuxthreads".
+ exit 1
+fi
+
+# Another OS than Linux, which is also fine.
+exit 0
Property changes on: trunk/exp-drd/tests/supported_libpthread
___________________________________________________________________
Name: svn:executable
+ *
|
|
From: <sv...@va...> - 2008-03-19 17:03:18
|
Author: bart Date: 2008-03-19 17:03:14 +0000 (Wed, 19 Mar 2008) New Revision: 7739 Log: Removed LinuxThreads expected output files. Removed: trunk/exp-drd/tests/fp_race.stderr.exp-linuxthreads trunk/exp-drd/tests/fp_race2.stderr.exp-linuxthreads trunk/exp-drd/tests/hg01_all_ok.stderr.exp-linuxthreads trunk/exp-drd/tests/hg02_deadlock.stderr.exp-linuxthreads trunk/exp-drd/tests/hg03_inherit.stderr.exp-linuxthreads trunk/exp-drd/tests/hg04_race.stderr.exp-linuxthreads trunk/exp-drd/tests/hg05_race2.stderr.exp-linuxthreads trunk/exp-drd/tests/hg06_readshared.stderr.exp-linuxthreads trunk/exp-drd/tests/matinv.stderr.exp-linuxthreads trunk/exp-drd/tests/matinv.stdout.exp-linuxthreads trunk/exp-drd/tests/pth_barrier.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_barrier2.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_barrier3.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_broadcast.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_cond_race.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_cond_race2.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_create_chain.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_detached.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_detached.stdout.exp-linuxthreads trunk/exp-drd/tests/pth_detached2.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_detached2.stdout.exp-linuxthreads trunk/exp-drd/tests/pth_detached_sem.stderr.exp-linuxthreads trunk/exp-drd/tests/pth_detached_sem.stdout.exp-linuxthreads trunk/exp-drd/tests/rwlock_race.stderr.exp-linuxthreads trunk/exp-drd/tests/sem_as_mutex.stderr.exp-linuxthreads trunk/exp-drd/tests/sem_as_mutex2.stderr.exp-linuxthreads trunk/exp-drd/tests/sigalrm.stderr.exp-linuxthreads trunk/exp-drd/tests/tc01_simple_race.stderr.exp-linuxthreads trunk/exp-drd/tests/tc02_simple_tls.stderr.exp-linuxthreads trunk/exp-drd/tests/tc03_re_excl.stderr.exp-linuxthreads trunk/exp-drd/tests/tc04_free_lock.stderr.exp-linuxthreads trunk/exp-drd/tests/tc05_simple_race.stderr.exp-linuxthreads trunk/exp-drd/tests/tc06_two_races.stderr.exp-linuxthreads trunk/exp-drd/tests/tc07_hbl1.stderr.exp-linuxthreads trunk/exp-drd/tests/tc07_hbl1.stdout.exp-linuxthreads trunk/exp-drd/tests/tc08_hbl2.stderr.exp-linuxthreads trunk/exp-drd/tests/tc08_hbl2.stdout.exp-linuxthreads trunk/exp-drd/tests/tc09_bad_unlock.stderr.exp-linuxthreads trunk/exp-drd/tests/tc10_rec_lock.stderr.exp-linuxthreads trunk/exp-drd/tests/tc11_XCHG.stderr.exp-linuxthreads trunk/exp-drd/tests/tc11_XCHG.stdout.exp-linuxthreads trunk/exp-drd/tests/tc12_rwl_trivial.stderr.exp-linuxthreads trunk/exp-drd/tests/tc16_byterace.stderr.exp-linuxthreads trunk/exp-drd/tests/tc17_sembar.stderr.exp-linuxthreads trunk/exp-drd/tests/tc18_semabuse.stderr.exp-linuxthreads trunk/exp-drd/tests/tc20_verifywrap.stderr.exp-linuxthreads trunk/exp-drd/tests/tc20_verifywrap2.stderr.exp-linuxthreads trunk/exp-drd/tests/tc21_pthonce.stderr.exp-linuxthreads trunk/exp-drd/tests/tc21_pthonce.stdout.exp-linuxthreads trunk/exp-drd/tests/tc22_exit_w_lock.stderr.exp-linuxthreads trunk/exp-drd/tests/tc23_bogus_condwait.stderr.exp-linuxthreads trunk/exp-drd/tests/trylock.stderr.exp-linuxthreads Deleted: trunk/exp-drd/tests/fp_race.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/fp_race.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/fp_race.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/fp_race2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/fp_race2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/fp_race2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/hg01_all_ok.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/hg01_all_ok.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/hg01_all_ok.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/hg02_deadlock.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/hg02_deadlock.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/hg02_deadlock.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/hg03_inherit.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/hg03_inherit.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/hg03_inherit.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/hg04_race.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/hg04_race.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/hg04_race.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/hg05_race2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/hg05_race2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/hg05_race2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/hg06_readshared.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/hg06_readshared.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/hg06_readshared.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/matinv.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/matinv.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/matinv.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/matinv.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/pth_barrier.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_barrier.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_barrier.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1 +0,0 @@ -ERROR SUMMARY: 0 errors from 0 contexts Deleted: trunk/exp-drd/tests/pth_barrier2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_barrier2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_barrier2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1 +0,0 @@ -ERROR SUMMARY: 0 errors from 0 contexts Deleted: trunk/exp-drd/tests/pth_barrier3.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_barrier3.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_barrier3.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1 +0,0 @@ -ERROR SUMMARY: 0 errors from 0 contexts Deleted: trunk/exp-drd/tests/pth_broadcast.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_broadcast.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_broadcast.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_cond_race.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_cond_race.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_cond_race.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_cond_race2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_cond_race2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_cond_race2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_create_chain.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_create_chain.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_create_chain.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_detached.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_detached.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_detached.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_detached.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/pth_detached2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_detached2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_detached2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_detached2.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/pth_detached_sem.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/pth_detached_sem.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/pth_detached_sem.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/pth_detached_sem.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/rwlock_race.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/rwlock_race.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/rwlock_race.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/sem_as_mutex.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/sem_as_mutex.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/sem_as_mutex.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/sem_as_mutex2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/sem_as_mutex2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/sem_as_mutex2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/sigalrm.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/sigalrm.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/sigalrm.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc01_simple_race.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc01_simple_race.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc01_simple_race.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc02_simple_tls.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc02_simple_tls.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc02_simple_tls.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc03_re_excl.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc03_re_excl.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc03_re_excl.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc04_free_lock.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc04_free_lock.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc04_free_lock.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,18 +0,0 @@ - -Destroying locked mutex: mutex 0x........, recursion count 1, owner 1. - at 0x........: free (vg_replace_malloc.c:...) - by 0x........: main (../../helgrind/tests/tc04_free_lock.c:24) - -Destroying locked mutex: mutex 0x........, recursion count 1, owner 1. - at 0x........: bar (../../helgrind/tests/tc04_free_lock.c:40) - by 0x........: main (../../helgrind/tests/tc04_free_lock.c:26) - -Destroying locked mutex: mutex 0x........, recursion count 1, owner 1. - at 0x........: foo (../../helgrind/tests/tc04_free_lock.c:49) - by 0x........: main (../../helgrind/tests/tc04_free_lock.c:27) - -Destroying locked mutex: mutex 0x........, recursion count 1, owner 1. - at 0x........: bar (../../helgrind/tests/tc04_free_lock.c:40) - by 0x........: main (../../helgrind/tests/tc04_free_lock.c:28) - -ERROR SUMMARY: 4 errors from 4 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc05_simple_race.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc05_simple_race.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc05_simple_race.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1 +0,0 @@ -ERROR SUMMARY: 0 errors from 0 contexts Deleted: trunk/exp-drd/tests/tc06_two_races.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc06_two_races.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc06_two_races.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1 +0,0 @@ -ERROR SUMMARY: 0 errors from 0 contexts Deleted: trunk/exp-drd/tests/tc07_hbl1.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc07_hbl1.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc07_hbl1.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc07_hbl1.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/tc08_hbl2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc08_hbl2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc08_hbl2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc08_hbl2.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/tc09_bad_unlock.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc09_bad_unlock.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc09_bad_unlock.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,19 +0,0 @@ - -Mutex not locked by calling thread: mutex 0x........, recursion count 0, owner 1. - at 0x........: pthread_mutex_unlock (drd_pthread_intercepts.c:?) - by 0x........: nearly_main (../../helgrind/tests/tc09_bad_unlock.c:27) - by 0x........: main (../../helgrind/tests/tc09_bad_unlock.c:49) -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -Destroying locked mutex: mutex 0x........, recursion count 1, owner 1. - at 0x........: kill (in /...libc...) - by 0x........: abort (in /...libc...) - by 0x........: vg_set_main_thread_state (drd_pthread_intercepts.c:?) - by 0x........: pthread_create* (drd_pthread_intercepts.c:?) - by 0x........: nearly_main (../../helgrind/tests/tc09_bad_unlock.c:35) - by 0x........: main (../../helgrind/tests/tc09_bad_unlock.c:49) - -ERROR SUMMARY: 2 errors from 2 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc10_rec_lock.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc10_rec_lock.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc10_rec_lock.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,14 +0,0 @@ - -before lock #1 -before lock #2 -before lock #3 -before unlock #1 -before unlock #2 -before unlock #3 -before unlock #4 -Mutex not locked by calling thread: mutex 0x........, recursion count 0, owner 1. - at 0x........: pthread_mutex_unlock (drd_pthread_intercepts.c:?) - by 0x........: nearly_main (../../helgrind/tests/tc10_rec_lock.c:42) - by 0x........: main (../../helgrind/tests/tc10_rec_lock.c:47) - -ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc11_XCHG.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc11_XCHG.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc11_XCHG.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc11_XCHG.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/tc12_rwl_trivial.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc12_rwl_trivial.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc12_rwl_trivial.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Reader-writer lock not locked by calling thread: rwlock 0x......... - at 0x........: pthread_rwlock_unlock* (drd_pthread_intercepts.c:?) - by 0x........: main (../../helgrind/tests/tc12_rwl_trivial.c:29) -tc12_rwl_trivial: ../../helgrind/tests/tc12_rwl_trivial.c:29: main: Assertion `r == 0' failed. - -ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc16_byterace.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc16_byterace.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc16_byterace.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc17_sembar.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc17_sembar.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc17_sembar.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,8 +0,0 @@ - -starting -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc18_semabuse.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc18_semabuse.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc18_semabuse.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc20_verifywrap.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc20_verifywrap.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc20_verifywrap.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,13 +0,0 @@ - - - ------- This is output for < glibc 2.4 ------ - ----------------- pthread_create/join ---------------- - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc20_verifywrap2.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc20_verifywrap2.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc20_verifywrap2.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,37 +0,0 @@ - -[1/1] pre_mutex_lock mutex 0x........ rc 0 owner 0 -[1/1] post_mutex_lock mutex 0x........ rc 0 owner 0 -[1/1] mutex_unlock mutex 0x........ rc 1 -[1/1] pre_mutex_lock mutex 0x........ rc 0 owner 0 -[1/1] post_mutex_lock mutex 0x........ rc 0 owner 0 -[1/1] mutex_unlock mutex 0x........ rc 1 -[1/1] pre_mutex_lock mutex 0x........ rc 0 owner 1 -[1/1] post_mutex_lock mutex 0x........ rc 0 owner 1 -[1/1] mutex_unlock mutex 0x........ rc 1 -[1/1] pre_mutex_lock mutex 0x........ rc 0 owner 1 -[1/1] post_mutex_lock mutex 0x........ rc 0 owner 1 -[1/1] mutex_unlock mutex 0x........ rc 1 -[1/1] pre_mutex_lock recursive mutex 0x........ rc 0 owner 0 -[1/1] post_mutex_lock recursive mutex 0x........ rc 0 owner 0 - - ------- This is output for < glibc 2.4 ------ -[1/1] mutex_unlock recursive mutex 0x........ rc 1 -[1/1] pre_mutex_lock recursive mutex 0x........ rc 0 owner 1 -[1/1] post_mutex_lock recursive mutex 0x........ rc 0 owner 1 - ----------------- pthread_create/join ---------------- - -[1/1] mutex_unlock recursive mutex 0x........ rc 1 -[1/1] pre_mutex_lock recursive mutex 0x........ rc 0 owner 1 -[1/1] post_mutex_lock recursive mutex 0x........ rc 0 owner 1 -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. -[1/1] mutex_unlock recursive mutex 0x........ rc 1 -[1/1] pre_mutex_lock recursive mutex 0x........ rc 0 owner 0 -[1/1] post_mutex_lock recursive mutex 0x........ rc 0 owner 0 -[1/1] mutex_unlock recursive mutex 0x........ rc 1 - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc21_pthonce.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc21_pthonce.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc21_pthonce.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc21_pthonce.stdout.exp-linuxthreads =================================================================== Deleted: trunk/exp-drd/tests/tc22_exit_w_lock.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc22_exit_w_lock.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc22_exit_w_lock.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/tc23_bogus_condwait.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/tc23_bogus_condwait.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/tc23_bogus_condwait.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Detected the LinuxThreads threading library. Sorry, but DRD only supports -the newer NPTL (Native POSIX Threads Library). Please try to rerun DRD -after having upgraded to a newer version of your Linux distribution. -Giving up. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) Deleted: trunk/exp-drd/tests/trylock.stderr.exp-linuxthreads =================================================================== --- trunk/exp-drd/tests/trylock.stderr.exp-linuxthreads 2008-03-19 17:02:26 UTC (rev 7738) +++ trunk/exp-drd/tests/trylock.stderr.exp-linuxthreads 2008-03-19 17:03:14 UTC (rev 7739) @@ -1,7 +0,0 @@ - -Locking rwlock via pthread_rwlock_wrlock(). -Locking rwlock via pthread_rwlock_trywrlock(). -Locking rwlock via pthread_rwlock_timedwrlock(). -trylock: trylock.c:36: main: Assertion `r == 0' failed. - -ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0) |
|
From: <sv...@va...> - 2008-03-19 17:02:23
|
Author: bart Date: 2008-03-19 17:02:26 +0000 (Wed, 19 Mar 2008) New Revision: 7738 Log: Most DRD regression tests are now skipped when LinuxThreads is detected. Removed LinuxThreads expected output files. Modified: trunk/exp-drd/tests/Makefile.am trunk/exp-drd/tests/fp_race.vgtest trunk/exp-drd/tests/fp_race2.vgtest trunk/exp-drd/tests/hg01_all_ok.vgtest trunk/exp-drd/tests/hg02_deadlock.vgtest trunk/exp-drd/tests/hg03_inherit.vgtest trunk/exp-drd/tests/hg04_race.vgtest trunk/exp-drd/tests/hg05_race2.vgtest trunk/exp-drd/tests/hg06_readshared.vgtest trunk/exp-drd/tests/matinv.vgtest trunk/exp-drd/tests/omp_matinv.vgtest trunk/exp-drd/tests/omp_matinv_racy.vgtest trunk/exp-drd/tests/omp_prime_racy.vgtest trunk/exp-drd/tests/pth_barrier.vgtest trunk/exp-drd/tests/pth_barrier2.vgtest trunk/exp-drd/tests/pth_barrier3.vgtest trunk/exp-drd/tests/pth_broadcast.vgtest trunk/exp-drd/tests/pth_cond_race.vgtest trunk/exp-drd/tests/pth_cond_race2.vgtest trunk/exp-drd/tests/pth_create_chain.vgtest trunk/exp-drd/tests/pth_detached.vgtest trunk/exp-drd/tests/pth_detached2.vgtest trunk/exp-drd/tests/pth_detached_sem.vgtest trunk/exp-drd/tests/recursive_mutex.vgtest trunk/exp-drd/tests/rwlock_race.vgtest trunk/exp-drd/tests/sem_as_mutex.vgtest trunk/exp-drd/tests/sem_as_mutex2.vgtest trunk/exp-drd/tests/sigalrm.vgtest trunk/exp-drd/tests/tc01_simple_race.vgtest trunk/exp-drd/tests/tc02_simple_tls.vgtest trunk/exp-drd/tests/tc03_re_excl.vgtest trunk/exp-drd/tests/tc04_free_lock.vgtest trunk/exp-drd/tests/tc05_simple_race.vgtest trunk/exp-drd/tests/tc06_two_races.vgtest trunk/exp-drd/tests/tc07_hbl1.vgtest trunk/exp-drd/tests/tc08_hbl2.vgtest trunk/exp-drd/tests/tc09_bad_unlock.vgtest trunk/exp-drd/tests/tc10_rec_lock.vgtest trunk/exp-drd/tests/tc11_XCHG.vgtest trunk/exp-drd/tests/tc12_rwl_trivial.vgtest trunk/exp-drd/tests/tc13_laog1.vgtest trunk/exp-drd/tests/tc15_laog_lockdel.vgtest trunk/exp-drd/tests/tc16_byterace.vgtest trunk/exp-drd/tests/tc17_sembar.vgtest trunk/exp-drd/tests/tc18_semabuse.vgtest trunk/exp-drd/tests/tc19_shadowmem.vgtest trunk/exp-drd/tests/tc20_verifywrap.vgtest trunk/exp-drd/tests/tc20_verifywrap2.vgtest trunk/exp-drd/tests/tc21_pthonce.vgtest trunk/exp-drd/tests/tc22_exit_w_lock.vgtest trunk/exp-drd/tests/tc23_bogus_condwait.vgtest trunk/exp-drd/tests/tc24_nonzero_sem.vgtest trunk/exp-drd/tests/trylock.vgtest Modified: trunk/exp-drd/tests/Makefile.am =================================================================== --- trunk/exp-drd/tests/Makefile.am 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/Makefile.am 2008-03-19 17:02:26 UTC (rev 7738) @@ -12,43 +12,33 @@ filter_linenos \ filter_none_discards \ filter_stderr \ - run_openmp_test + run_openmp_test \ + supported_libpthread EXTRA_DIST = \ $(noinst_SCRIPTS) \ fp_race.stderr.exp \ - fp_race.stderr.exp-linuxthreads \ fp_race.vgtest \ fp_race2.stderr.exp \ - fp_race2.stderr.exp-linuxthreads \ fp_race2.vgtest \ hg01_all_ok.stderr.exp \ - hg01_all_ok.stderr.exp-linuxthreads \ hg01_all_ok.vgtest \ hg02_deadlock.stderr.exp \ - hg02_deadlock.stderr.exp-linuxthreads \ hg02_deadlock.vgtest \ hg03_inherit.stderr.exp \ - hg03_inherit.stderr.exp-linuxthreads \ hg03_inherit.vgtest \ hg04_race.stderr.exp \ - hg04_race.stderr.exp-linuxthreads \ hg04_race.vgtest \ hg05_race2.stderr.exp \ - hg05_race2.stderr.exp-linuxthreads \ hg05_race2.vgtest \ hg06_readshared.stderr.exp \ - hg06_readshared.stderr.exp-linuxthreads \ hg06_readshared.vgtest \ linuxthreads_det.stderr.exp \ linuxthreads_det.stderr.exp-linuxthreads \ linuxthreads_det.stdout.exp \ linuxthreads_det.stdout.exp-linuxthreads \ - linuxthreads_det.stdout.exp-linuxthreads \ matinv.stderr.exp \ - matinv.stderr.exp-linuxthreads \ matinv.stdout.exp \ - matinv.stdout.exp-linuxthreads \ matinv.vgtest \ omp_matinv.stderr.exp \ omp_matinv.stdout.exp \ @@ -59,136 +49,95 @@ omp_prime_racy.stderr.exp \ omp_prime_racy.vgtest \ pth_barrier.stderr.exp \ - pth_barrier.stderr.exp-linuxthreads \ pth_barrier.vgtest \ pth_barrier2.stderr.exp \ - pth_barrier2.stderr.exp-linuxthreads \ pth_barrier2.vgtest \ pth_barrier3.stderr.exp \ - pth_barrier3.stderr.exp-linuxthreads \ pth_barrier3.vgtest \ pth_broadcast.stderr.exp \ - pth_broadcast.stderr.exp-linuxthreads \ pth_broadcast.vgtest \ pth_cond_race.stderr.exp \ - pth_cond_race.stderr.exp-linuxthreads \ pth_cond_race.vgtest \ pth_cond_race2.stderr.exp \ - pth_cond_race2.stderr.exp-linuxthreads \ pth_cond_race2.vgtest \ pth_create_chain.stderr.exp \ - pth_create_chain.stderr.exp-linuxthreads \ pth_create_chain.vgtest \ pth_detached.stderr.exp \ - pth_detached.stderr.exp-linuxthreads \ pth_detached.stdout.exp \ - pth_detached.stdout.exp-linuxthreads \ pth_detached.vgtest \ pth_detached2.stderr.exp \ - pth_detached2.stderr.exp-linuxthreads \ pth_detached2.stdout.exp \ - pth_detached2.stdout.exp-linuxthreads \ pth_detached2.vgtest \ pth_detached_sem.stdout.exp \ - pth_detached_sem.stdout.exp-linuxthreads \ pth_detached_sem.stderr.exp \ - pth_detached_sem.stderr.exp-linuxthreads \ pth_detached_sem.vgtest \ recursive_mutex.stderr.exp \ recursive_mutex.stdout.exp \ recursive_mutex.vgtest \ rwlock_race.stderr.exp \ - rwlock_race.stderr.exp-linuxthreads \ rwlock_race.vgtest \ sem_as_mutex.stderr.exp \ - sem_as_mutex.stderr.exp-linuxthreads \ sem_as_mutex.vgtest \ sem_as_mutex2.stderr.exp \ - sem_as_mutex2.stderr.exp-linuxthreads \ sem_as_mutex2.vgtest \ sigalrm.stderr.exp \ - sigalrm.stderr.exp-linuxthreads \ sigalrm.vgtest \ tc01_simple_race.stderr.exp \ - tc01_simple_race.stderr.exp-linuxthreads \ tc01_simple_race.vgtest \ tc02_simple_tls.stderr.exp \ - tc02_simple_tls.stderr.exp-linuxthreads \ tc02_simple_tls.vgtest \ tc03_re_excl.stderr.exp \ - tc03_re_excl.stderr.exp-linuxthreads \ tc03_re_excl.vgtest \ tc04_free_lock.stderr.exp \ - tc04_free_lock.stderr.exp-linuxthreads \ tc04_free_lock.vgtest \ tc05_simple_race.stderr.exp \ - tc05_simple_race.stderr.exp-linuxthreads \ tc05_simple_race.vgtest \ tc06_two_races.stderr.exp \ - tc06_two_races.stderr.exp-linuxthreads \ tc06_two_races.vgtest \ tc07_hbl1.stderr.exp \ - tc07_hbl1.stderr.exp-linuxthreads \ tc07_hbl1.stdout.exp \ - tc07_hbl1.stdout.exp-linuxthreads \ tc07_hbl1.vgtest \ tc08_hbl2.stderr.exp \ - tc08_hbl2.stderr.exp-linuxthreads \ tc08_hbl2.stdout.exp \ - tc08_hbl2.stdout.exp-linuxthreads \ tc08_hbl2.vgtest \ tc09_bad_unlock.stderr.exp \ - tc09_bad_unlock.stderr.exp-linuxthreads \ tc09_bad_unlock.vgtest \ tc10_rec_lock.stderr.exp \ - tc10_rec_lock.stderr.exp-linuxthreads \ tc10_rec_lock.vgtest \ tc11_XCHG.stderr.exp tc11_XCHG.stdout.exp \ - tc11_XCHG.stderr.exp-linuxthreads \ tc11_XCHG.vgtest \ tc12_rwl_trivial.stderr.exp \ - tc12_rwl_trivial.stderr.exp-linuxthreads \ tc12_rwl_trivial.vgtest \ tc13_laog1.stderr.exp \ tc13_laog1.vgtest \ tc15_laog_lockdel.stderr.exp \ tc15_laog_lockdel.vgtest \ tc16_byterace.stderr.exp \ - tc16_byterace.stderr.exp-linuxthreads \ tc16_byterace.vgtest \ tc17_sembar.stderr.exp \ - tc17_sembar.stderr.exp-linuxthreads \ tc17_sembar.vgtest \ tc18_semabuse.stderr.exp \ - tc18_semabuse.stderr.exp-linuxthreads \ tc18_semabuse.vgtest \ tc19_shadowmem.stderr.exp \ tc19_shadowmem.vgtest \ tc20_verifywrap.stderr.exp \ tc20_verifywrap.stderr.exp-glibc2.3 \ - tc20_verifywrap.stderr.exp-linuxthreads \ tc20_verifywrap.vgtest \ tc20_verifywrap2.stderr.exp \ tc20_verifywrap2.stderr.exp-glibc2.3 \ tc20_verifywrap2.stderr.exp-glibc2.3-b \ - tc20_verifywrap2.stderr.exp-linuxthreads \ tc20_verifywrap2.vgtest \ tc21_pthonce.stderr.exp \ - tc21_pthonce.stderr.exp-linuxthreads \ tc21_pthonce.stdout.exp \ - tc21_pthonce.stdout.exp-linuxthreads \ tc21_pthonce.vgtest \ tc22_exit_w_lock.stderr.exp-32bit \ tc22_exit_w_lock.stderr.exp-64bit \ - tc22_exit_w_lock.stderr.exp-linuxthreads \ tc22_exit_w_lock.vgtest \ tc23_bogus_condwait.stderr.exp \ - tc23_bogus_condwait.stderr.exp-linuxthreads \ tc23_bogus_condwait.vgtest \ tc24_nonzero_sem.stderr.exp \ tc24_nonzero_sem.vgtest \ trylock.c trylock.stderr.exp \ - trylock.stderr.exp-linuxthreads AM_CFLAGS = $(WERROR) -Winline -Wall -Wshadow -g $(AM_FLAG_M3264_PRI) AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_builddir)/include Modified: trunk/exp-drd/tests/fp_race.vgtest =================================================================== --- trunk/exp-drd/tests/fp_race.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/fp_race.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: fp_race Modified: trunk/exp-drd/tests/fp_race2.vgtest =================================================================== --- trunk/exp-drd/tests/fp_race2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/fp_race2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: fp_race args: -m Modified: trunk/exp-drd/tests/hg01_all_ok.vgtest =================================================================== --- trunk/exp-drd/tests/hg01_all_ok.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/hg01_all_ok.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: hg01_all_ok Modified: trunk/exp-drd/tests/hg02_deadlock.vgtest =================================================================== --- trunk/exp-drd/tests/hg02_deadlock.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/hg02_deadlock.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: hg02_deadlock Modified: trunk/exp-drd/tests/hg03_inherit.vgtest =================================================================== --- trunk/exp-drd/tests/hg03_inherit.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/hg03_inherit.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: hg03_inherit vgopts: --show-confl-seg=no Modified: trunk/exp-drd/tests/hg04_race.vgtest =================================================================== --- trunk/exp-drd/tests/hg04_race.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/hg04_race.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: hg04_race Modified: trunk/exp-drd/tests/hg05_race2.vgtest =================================================================== --- trunk/exp-drd/tests/hg05_race2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/hg05_race2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: hg05_race2 Modified: trunk/exp-drd/tests/hg06_readshared.vgtest =================================================================== --- trunk/exp-drd/tests/hg06_readshared.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/hg06_readshared.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: hg06_readshared Modified: trunk/exp-drd/tests/matinv.vgtest =================================================================== --- trunk/exp-drd/tests/matinv.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/matinv.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: matinv args: 30 -t 15 -q Modified: trunk/exp-drd/tests/omp_matinv.vgtest =================================================================== --- trunk/exp-drd/tests/omp_matinv.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/omp_matinv.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,3 +1,3 @@ -prereq: ./run_openmp_test ./omp_matinv +prereq: ./supported_libpthread && ./run_openmp_test ./omp_matinv prog: omp_matinv args: 30 -t 15 -q Modified: trunk/exp-drd/tests/omp_matinv_racy.vgtest =================================================================== --- trunk/exp-drd/tests/omp_matinv_racy.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/omp_matinv_racy.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,4 +1,4 @@ -prereq: ./run_openmp_test ./omp_matinv +prereq: ./supported_libpthread && ./run_openmp_test ./omp_matinv prog: omp_matinv args: 3 -t 2 -q -r stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/omp_prime_racy.vgtest =================================================================== --- trunk/exp-drd/tests/omp_prime_racy.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/omp_prime_racy.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,4 +1,4 @@ -prereq: ./run_openmp_test ./omp_prime +prereq: ./supported_libpthread && ./run_openmp_test ./omp_prime prog: omp_prime args: 4 -q stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/pth_barrier.vgtest =================================================================== --- trunk/exp-drd/tests/pth_barrier.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_barrier.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,3 +1,4 @@ +prereq: ./supported_libpthread prog: pth_barrier args: 2 1 1 stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/pth_barrier2.vgtest =================================================================== --- trunk/exp-drd/tests/pth_barrier2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_barrier2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,3 +1,4 @@ +prereq: ./supported_libpthread prog: pth_barrier args: 2 32 1 stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/pth_barrier3.vgtest =================================================================== --- trunk/exp-drd/tests/pth_barrier3.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_barrier3.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,3 +1,4 @@ +prereq: ./supported_libpthread prog: pth_barrier args: 32 1 1 stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/pth_broadcast.vgtest =================================================================== --- trunk/exp-drd/tests/pth_broadcast.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_broadcast.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: pth_broadcast Modified: trunk/exp-drd/tests/pth_cond_race.vgtest =================================================================== --- trunk/exp-drd/tests/pth_cond_race.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_cond_race.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: pth_cond_race Modified: trunk/exp-drd/tests/pth_cond_race2.vgtest =================================================================== --- trunk/exp-drd/tests/pth_cond_race2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_cond_race2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: pth_cond_race args: -m Modified: trunk/exp-drd/tests/pth_create_chain.vgtest =================================================================== --- trunk/exp-drd/tests/pth_create_chain.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_create_chain.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: pth_create_chain 100 Modified: trunk/exp-drd/tests/pth_detached.vgtest =================================================================== --- trunk/exp-drd/tests/pth_detached.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_detached.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: pth_detached args: 1 1 Modified: trunk/exp-drd/tests/pth_detached2.vgtest =================================================================== --- trunk/exp-drd/tests/pth_detached2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_detached2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: pth_detached args: 10 10 Modified: trunk/exp-drd/tests/pth_detached_sem.vgtest =================================================================== --- trunk/exp-drd/tests/pth_detached_sem.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/pth_detached_sem.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,3 +1,4 @@ +prereq: ./supported_libpthread prog: pth_detached_sem args: 10 10 stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/recursive_mutex.vgtest =================================================================== --- trunk/exp-drd/tests/recursive_mutex.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/recursive_mutex.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: recursive_mutex stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/rwlock_race.vgtest =================================================================== --- trunk/exp-drd/tests/rwlock_race.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/rwlock_race.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: rwlock_race Modified: trunk/exp-drd/tests/sem_as_mutex.vgtest =================================================================== --- trunk/exp-drd/tests/sem_as_mutex.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/sem_as_mutex.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: sem_as_mutex Modified: trunk/exp-drd/tests/sem_as_mutex2.vgtest =================================================================== --- trunk/exp-drd/tests/sem_as_mutex2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/sem_as_mutex2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: sem_as_mutex args: -m Modified: trunk/exp-drd/tests/sigalrm.vgtest =================================================================== --- trunk/exp-drd/tests/sigalrm.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/sigalrm.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: sigalrm Modified: trunk/exp-drd/tests/tc01_simple_race.vgtest =================================================================== --- trunk/exp-drd/tests/tc01_simple_race.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc01_simple_race.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc01_simple_race Modified: trunk/exp-drd/tests/tc02_simple_tls.vgtest =================================================================== --- trunk/exp-drd/tests/tc02_simple_tls.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc02_simple_tls.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc02_simple_tls Modified: trunk/exp-drd/tests/tc03_re_excl.vgtest =================================================================== --- trunk/exp-drd/tests/tc03_re_excl.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc03_re_excl.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc03_re_excl Modified: trunk/exp-drd/tests/tc04_free_lock.vgtest =================================================================== --- trunk/exp-drd/tests/tc04_free_lock.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc04_free_lock.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc04_free_lock Modified: trunk/exp-drd/tests/tc05_simple_race.vgtest =================================================================== --- trunk/exp-drd/tests/tc05_simple_race.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc05_simple_race.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: tc05_simple_race stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/tc06_two_races.vgtest =================================================================== --- trunk/exp-drd/tests/tc06_two_races.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc06_two_races.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: tc06_two_races stderr_filter: filter_error_summary Modified: trunk/exp-drd/tests/tc07_hbl1.vgtest =================================================================== --- trunk/exp-drd/tests/tc07_hbl1.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc07_hbl1.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc07_hbl1 Modified: trunk/exp-drd/tests/tc08_hbl2.vgtest =================================================================== --- trunk/exp-drd/tests/tc08_hbl2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc08_hbl2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc08_hbl2 Modified: trunk/exp-drd/tests/tc09_bad_unlock.vgtest =================================================================== --- trunk/exp-drd/tests/tc09_bad_unlock.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc09_bad_unlock.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc09_bad_unlock Modified: trunk/exp-drd/tests/tc10_rec_lock.vgtest =================================================================== --- trunk/exp-drd/tests/tc10_rec_lock.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc10_rec_lock.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc10_rec_lock Modified: trunk/exp-drd/tests/tc11_XCHG.vgtest =================================================================== --- trunk/exp-drd/tests/tc11_XCHG.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc11_XCHG.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc11_XCHG Modified: trunk/exp-drd/tests/tc12_rwl_trivial.vgtest =================================================================== --- trunk/exp-drd/tests/tc12_rwl_trivial.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc12_rwl_trivial.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc12_rwl_trivial Modified: trunk/exp-drd/tests/tc13_laog1.vgtest =================================================================== --- trunk/exp-drd/tests/tc13_laog1.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc13_laog1.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc13_laog1 Modified: trunk/exp-drd/tests/tc15_laog_lockdel.vgtest =================================================================== --- trunk/exp-drd/tests/tc15_laog_lockdel.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc15_laog_lockdel.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc15_laog_lockdel Modified: trunk/exp-drd/tests/tc16_byterace.vgtest =================================================================== --- trunk/exp-drd/tests/tc16_byterace.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc16_byterace.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc16_byterace Modified: trunk/exp-drd/tests/tc17_sembar.vgtest =================================================================== --- trunk/exp-drd/tests/tc17_sembar.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc17_sembar.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc17_sembar Modified: trunk/exp-drd/tests/tc18_semabuse.vgtest =================================================================== --- trunk/exp-drd/tests/tc18_semabuse.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc18_semabuse.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc18_semabuse Modified: trunk/exp-drd/tests/tc19_shadowmem.vgtest =================================================================== --- trunk/exp-drd/tests/tc19_shadowmem.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc19_shadowmem.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: tc19_shadowmem vgopts: --cmp-race-err-addrs=yes --error-limit=no Modified: trunk/exp-drd/tests/tc20_verifywrap.vgtest =================================================================== --- trunk/exp-drd/tests/tc20_verifywrap.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc20_verifywrap.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc20_verifywrap Modified: trunk/exp-drd/tests/tc20_verifywrap2.vgtest =================================================================== --- trunk/exp-drd/tests/tc20_verifywrap2.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc20_verifywrap2.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: tc20_verifywrap vgopts: --trace-mutex=yes --trace-cond=yes --trace-semaphore=yes Modified: trunk/exp-drd/tests/tc21_pthonce.vgtest =================================================================== --- trunk/exp-drd/tests/tc21_pthonce.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc21_pthonce.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc21_pthonce Modified: trunk/exp-drd/tests/tc22_exit_w_lock.vgtest =================================================================== --- trunk/exp-drd/tests/tc22_exit_w_lock.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc22_exit_w_lock.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc22_exit_w_lock Modified: trunk/exp-drd/tests/tc23_bogus_condwait.vgtest =================================================================== --- trunk/exp-drd/tests/tc23_bogus_condwait.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc23_bogus_condwait.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: tc23_bogus_condwait Modified: trunk/exp-drd/tests/tc24_nonzero_sem.vgtest =================================================================== --- trunk/exp-drd/tests/tc24_nonzero_sem.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/tc24_nonzero_sem.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1,2 +1,3 @@ +prereq: ./supported_libpthread prog: tc24_nonzero_sem vgopts: --hg-sanity-flags=111111 Modified: trunk/exp-drd/tests/trylock.vgtest =================================================================== --- trunk/exp-drd/tests/trylock.vgtest 2008-03-19 17:00:12 UTC (rev 7737) +++ trunk/exp-drd/tests/trylock.vgtest 2008-03-19 17:02:26 UTC (rev 7738) @@ -1 +1,2 @@ +prereq: ./supported_libpthread prog: trylock |
|
From: <sv...@va...> - 2008-03-19 17:00:10
|
Author: bart
Date: 2008-03-19 17:00:12 +0000 (Wed, 19 Mar 2008)
New Revision: 7737
Log:
Added separator.
Modified:
trunk/exp-drd/drd_bitmap.h
Modified: trunk/exp-drd/drd_bitmap.h
===================================================================
--- trunk/exp-drd/drd_bitmap.h 2008-03-18 17:53:09 UTC (rev 7736)
+++ trunk/exp-drd/drd_bitmap.h 2008-03-19 17:00:12 UTC (rev 7737)
@@ -138,6 +138,10 @@
& ((((UWord)1 << size) - 1) << UWORD_LSB(a1)));
}
+
+/*********************************************************************/
+
+
struct bitmap2
{
Addr addr; ///< address >> ADDR0_BITS
|
|
From: Tom H. <th...@cy...> - 2008-03-19 06:17:22
|
Nightly build on alvis ( i686, Red Hat 7.3 ) started at 2008-03-19 03:15:02 GMT Results unchanged from 24 hours ago Checking out valgrind source tree ... done Configuring valgrind ... done Building valgrind ... done Running regression tests ... failed Regression test results follow == 379 tests, 78 stderr failures, 1 stdout failure, 29 post failures == memcheck/tests/addressable (stderr) memcheck/tests/badjump (stderr) memcheck/tests/describe-block (stderr) memcheck/tests/erringfds (stderr) memcheck/tests/leak-0 (stderr) memcheck/tests/leak-cycle (stderr) memcheck/tests/leak-pool-0 (stderr) memcheck/tests/leak-pool-1 (stderr) memcheck/tests/leak-pool-2 (stderr) memcheck/tests/leak-pool-3 (stderr) memcheck/tests/leak-pool-4 (stderr) memcheck/tests/leak-pool-5 (stderr) memcheck/tests/leak-regroot (stderr) memcheck/tests/leak-tree (stderr) memcheck/tests/long_namespace_xml (stderr) memcheck/tests/lsframe1 (stderr) memcheck/tests/lsframe2 (stderr) memcheck/tests/malloc_free_fill (stderr) memcheck/tests/match-overrun (stderr) memcheck/tests/noisy_child (stderr) memcheck/tests/partial_load_dflt (stderr) memcheck/tests/partial_load_ok (stderr) memcheck/tests/partiallydefinedeq (stderr) memcheck/tests/pointer-trace (stderr) memcheck/tests/sigkill (stderr) memcheck/tests/stack_changes (stderr) memcheck/tests/varinfo1 (stderr) memcheck/tests/varinfo2 (stderr) memcheck/tests/varinfo3 (stderr) memcheck/tests/varinfo4 (stderr) memcheck/tests/varinfo5 (stderr) memcheck/tests/varinfo6 (stderr) memcheck/tests/x86/bug152022 (stderr) memcheck/tests/x86/scalar (stderr) memcheck/tests/x86/scalar_supp (stderr) memcheck/tests/x86/xor-undef-x86 (stderr) memcheck/tests/xml1 (stderr) massif/tests/alloc-fns-A (post) massif/tests/alloc-fns-B (post) massif/tests/basic (post) massif/tests/basic2 (post) massif/tests/big-alloc (post) massif/tests/culling1 (stderr) massif/tests/culling2 (stderr) massif/tests/custom_alloc (post) massif/tests/deep-A (post) massif/tests/deep-B (stderr) massif/tests/deep-B (post) massif/tests/deep-C (stderr) massif/tests/deep-C (post) massif/tests/deep-D (post) massif/tests/ignoring (post) massif/tests/insig (post) massif/tests/long-names (post) massif/tests/long-time (post) massif/tests/new-cpp (post) massif/tests/null (post) massif/tests/one (post) massif/tests/overloaded-new (post) massif/tests/peak (post) massif/tests/peak2 (stderr) massif/tests/peak2 (post) massif/tests/realloc (stderr) massif/tests/realloc (post) massif/tests/thresholds_0_0 (post) massif/tests/thresholds_0_10 (post) massif/tests/thresholds_10_0 (post) massif/tests/thresholds_10_10 (post) massif/tests/thresholds_5_0 (post) massif/tests/thresholds_5_10 (post) massif/tests/zero1 (post) massif/tests/zero2 (post) none/tests/blockfault (stderr) none/tests/faultstatus (stderr) none/tests/mremap (stderr) none/tests/mremap2 (stdout) none/tests/shell (stderr) none/tests/shell_valid1 (stderr) none/tests/shell_valid2 (stderr) none/tests/shell_valid3 (stderr) helgrind/tests/hg01_all_ok (stderr) helgrind/tests/hg02_deadlock (stderr) helgrind/tests/hg03_inherit (stderr) helgrind/tests/hg04_race (stderr) helgrind/tests/hg05_race2 (stderr) helgrind/tests/hg06_readshared (stderr) helgrind/tests/tc01_simple_race (stderr) helgrind/tests/tc02_simple_tls (stderr) helgrind/tests/tc03_re_excl (stderr) helgrind/tests/tc05_simple_race (stderr) helgrind/tests/tc06_two_races (stderr) helgrind/tests/tc07_hbl1 (stderr) helgrind/tests/tc08_hbl2 (stderr) helgrind/tests/tc09_bad_unlock (stderr) helgrind/tests/tc11_XCHG (stderr) helgrind/tests/tc12_rwl_trivial (stderr) helgrind/tests/tc14_laog_dinphils (stderr) helgrind/tests/tc16_byterace (stderr) helgrind/tests/tc17_sembar (stderr) helgrind/tests/tc18_semabuse (stderr) helgrind/tests/tc19_shadowmem (stderr) helgrind/tests/tc20_verifywrap (stderr) helgrind/tests/tc21_pthonce (stderr) helgrind/tests/tc22_exit_w_lock (stderr) helgrind/tests/tc23_bogus_condwait (stderr) helgrind/tests/tc24_nonzero_sem (stderr) exp-drd/tests/tc09_bad_unlock (stderr) exp-drd/tests/tc12_rwl_trivial (stderr) |
|
From: Tom H. <th...@cy...> - 2008-03-19 04:26:57
|
Nightly build on lloyd ( x86_64, Fedora 7 ) started at 2008-03-19 03:05:04 GMT Results unchanged from 24 hours ago Checking out valgrind source tree ... done Configuring valgrind ... done Building valgrind ... done Running regression tests ... failed Regression test results follow == 413 tests, 6 stderr failures, 2 stdout failures, 0 post failures == memcheck/tests/pointer-trace (stderr) memcheck/tests/vcpu_fnfns (stdout) memcheck/tests/x86/scalar (stderr) none/tests/faultstatus (stderr) none/tests/mremap (stderr) none/tests/mremap2 (stdout) helgrind/tests/tc20_verifywrap (stderr) helgrind/tests/tc22_exit_w_lock (stderr) |
|
From: Tom H. <th...@cy...> - 2008-03-19 03:52:39
|
Nightly build on aston ( x86_64, Fedora Core 5 ) started at 2008-03-19 03:20:06 GMT Results unchanged from 24 hours ago Checking out valgrind source tree ... done Configuring valgrind ... done Building valgrind ... done Running regression tests ... failed Regression test results follow == 419 tests, 9 stderr failures, 1 stdout failure, 0 post failures == memcheck/tests/malloc_free_fill (stderr) memcheck/tests/pointer-trace (stderr) memcheck/tests/x86/scalar (stderr) none/tests/blockfault (stderr) none/tests/faultstatus (stderr) none/tests/mremap (stderr) none/tests/mremap2 (stdout) helgrind/tests/tc20_verifywrap (stderr) helgrind/tests/tc21_pthonce (stderr) helgrind/tests/tc22_exit_w_lock (stderr) |
|
From: Tom H. <th...@cy...> - 2008-03-19 03:40:08
|
Nightly build on trojan ( x86_64, Fedora Core 6 ) started at 2008-03-19 03:25:04 GMT Results unchanged from 24 hours ago Checking out valgrind source tree ... done Configuring valgrind ... done Building valgrind ... done Running regression tests ... failed Regression test results follow == 417 tests, 8 stderr failures, 5 stdout failures, 0 post failures == memcheck/tests/pointer-trace (stderr) memcheck/tests/vcpu_fnfns (stdout) memcheck/tests/x86/bug133694 (stdout) memcheck/tests/x86/bug133694 (stderr) memcheck/tests/x86/scalar (stderr) none/tests/cmdline1 (stdout) none/tests/cmdline2 (stdout) none/tests/faultstatus (stderr) none/tests/mremap (stderr) none/tests/mremap2 (stdout) helgrind/tests/tc20_verifywrap (stderr) helgrind/tests/tc21_pthonce (stderr) helgrind/tests/tc22_exit_w_lock (stderr) |
|
From: Tom H. <th...@cy...> - 2008-03-19 03:33:31
|
Nightly build on dellow ( x86_64, Fedora 8 ) started at 2008-03-19 03:10:05 GMT Results unchanged from 24 hours ago Checking out valgrind source tree ... done Configuring valgrind ... done Building valgrind ... done Running regression tests ... failed Regression test results follow == 413 tests, 8 stderr failures, 2 stdout failures, 0 post failures == memcheck/tests/pointer-trace (stderr) memcheck/tests/vcpu_fnfns (stdout) memcheck/tests/x86/scalar (stderr) none/tests/faultstatus (stderr) none/tests/mremap (stderr) none/tests/mremap2 (stdout) helgrind/tests/tc18_semabuse (stderr) helgrind/tests/tc20_verifywrap (stderr) helgrind/tests/tc21_pthonce (stderr) helgrind/tests/tc22_exit_w_lock (stderr) |
|
From: Tom H. <th...@cy...> - 2008-03-19 03:17:35
|
Nightly build on gill ( x86_64, Fedora Core 2 ) started at 2008-03-19 03:00:05 GMT Results unchanged from 24 hours ago Checking out valgrind source tree ... done Configuring valgrind ... done Building valgrind ... done Running regression tests ... failed Regression test results follow == 419 tests, 32 stderr failures, 3 stdout failures, 0 post failures == memcheck/tests/malloc_free_fill (stderr) memcheck/tests/pointer-trace (stderr) memcheck/tests/stack_switch (stderr) memcheck/tests/varinfo6 (stderr) memcheck/tests/x86/scalar (stderr) memcheck/tests/x86/scalar_supp (stderr) none/tests/amd64/insn_ssse3 (stdout) none/tests/amd64/insn_ssse3 (stderr) none/tests/amd64/ssse3_misaligned (stderr) none/tests/blockfault (stderr) none/tests/faultstatus (stderr) none/tests/fdleak_fcntl (stderr) none/tests/mremap (stderr) none/tests/mremap2 (stdout) none/tests/x86/insn_ssse3 (stdout) none/tests/x86/insn_ssse3 (stderr) none/tests/x86/ssse3_misaligned (stderr) helgrind/tests/hg01_all_ok (stderr) helgrind/tests/hg02_deadlock (stderr) helgrind/tests/hg03_inherit (stderr) helgrind/tests/hg04_race (stderr) helgrind/tests/hg05_race2 (stderr) helgrind/tests/tc01_simple_race (stderr) helgrind/tests/tc05_simple_race (stderr) helgrind/tests/tc06_two_races (stderr) helgrind/tests/tc09_bad_unlock (stderr) helgrind/tests/tc14_laog_dinphils (stderr) helgrind/tests/tc16_byterace (stderr) helgrind/tests/tc17_sembar (stderr) helgrind/tests/tc19_shadowmem (stderr) helgrind/tests/tc20_verifywrap (stderr) helgrind/tests/tc21_pthonce (stderr) helgrind/tests/tc22_exit_w_lock (stderr) helgrind/tests/tc23_bogus_condwait (stderr) exp-drd/tests/pth_create_chain (stderr) |
|
From: Nuno L. <nun...@sa...> - 2008-03-19 00:13:39
|
> On Tuesday 18 March 2008 21:03, Nuno Lopes wrote: >> > BTW, does valgrind has some way to dump the superblock contents (e.g. >> > the >> > asm/vex instructions and jumps)? >> >> OK, disregard the question. I already found the answer myself. >> e.g.: >> valgrind --tool=none -v --trace-flags=11111111 --trace-children=yes >> --trace-notbelow=1 ls > > Also --profile-flags= is quite fun. It has the advantage that it > shows you the "hot" blocks in an application. Without that kind of > profiling facility, it is difficult to distinguish between bad bits > of code generation that only happen rarely, from ones which happen > enough to be a performance problem. > > Also the --tool= is important, since the instrumentation code added > by tools is very varied. Try comparing the code generated by > none vs cachegrind (lots of calls) vs memcheck (what _is_ all that > stuff :-?) > > If you can get your hands on a powerpc machine, also try on that. > You'll see different effects again on that platform. > > For some simple benchmarks, try the programs in perf, with > --profile-flags. For example ffbench.c contains almost all the > action in the top 7 blocks or so, which means they are quite > interesting to study in detail. Great, thanks for the tips! Nuno |